#ifndef __NT_GLOBALS_H__
#define __NT_GLOBALS_H__

#include <string>
#include <vector>

namespace NT {

class NTString : public std::string {
public:
	NTString();
	NTString( const char *str );
	NTString( std::string str );

//using std::string:operator =;

};


NTString format_string( const char *fmt , ... );
NTString center_pad_string( NTString str , unsigned int maxlength = 80 );
NTString addslashes( NTString str );
NTString pad_string( NTString str , unsigned int maxlength = 80 , bool cut = true );
NTString trim_string( NTString str );
NTString implode( NTString sep , std::vector<NTString> arr );
std::vector<NTString> explode( NTString sep , NTString str );
NTString reduce_spaces( NTString str );
NTString strtolower( NTString str );
NTString convert_path_slashes( NTString str );
bool is_valid_date( NTString d );
unsigned int vline_replacer( unsigned int ch );
void micro_log( const char *string );
unsigned int XlatChar( unsigned int ch , int from = 0 , int to = 0 );

}

#endif
